# class KCodecs |
Definition | `#include <kmdcodec.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Static Methods

- static QString uuencode ( const QString& data )
- static QString uudecode ( const QString& data )
- static QString base64Encode ( const QString& data )
- static QString base64Decode ( const QString& data )
- static QString encodeString ( const QString& data )
- static QString decodeString ( const QString& data )

## Detailed Description

QString uuencode ( const QString& data ) | ### uuencode

[static]

This method encodes the given string using the unix uuencode encoding.

The output is split into lines starting with the number of encoded octets in the line and ending with a newline. No line is longer than 45 octets (60 characters), excluding the line terminator.

<em>Note:</em> `data` should be just the actual data ; any 'begin' and 'end' lines such as those generated by *nix `uuencode` utility must not be included.

Parameters:

data | the data

Returns: the uuencoded <var>data</var>

QString uudecode ( const QString& data ) | ### uudecode

[static]

This method decodes the given uuencoded string.

<em>Note:</em> `data` should be just the actual data. Any 'begin' and 'end' lines such as those generated by *nix `uuencode` utility must not be included.

Parameters:

data | the uuencode-encoded data.

Returns: the decoded `data`.

QString base64Encode ( const QString& data ) | ### base64Encode

[static]

This method encodes the given string using the base64-encoding specified in RFC-2045 (Section 6.8). It's used for example in the "Basic" authorization scheme (RFC 2617).

Parameters:

data | the string.

Returns: the base64-encoded string.

QString base64Decode ( const QString& data ) | ### base64Decode

[static]

This method decodes the given string using the base64-encoding as specified in RFC-2045 (Section 6.8).

Parameters:

data | the base64-encoded string.

Returns: the decoded string.

QString encodeString ( const QString& data ) | ### encodeString

[static]

QString decodeString ( const QString& data ) | ### decodeString

[static]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:34:58 2001, using kdoc 2.0a53.